<template>
  <div class="section">
    <div class="container">
      <h1 class="title">This is an about page</h1>
      <button class="button" @click="checkQueries">Check Queries</button>
      <!-- <img v-cl-image="$store.state.currentUser.profileImage" width="300px" responsive fetch-format="auto" quality="auto"> -->
      <button class="button" @click="uploadProfileImage">Upload</button>
    </div>
  </div>
</template>

<script>
// import needle from 'needle'
// import stream from 'getstream'
// const client = stream.connect('b8ym6wvw2dfh', null, '38818')
import { uploadProfileImage } from '@/cloudinary'
export default {
  data () {
    return {
      updates: [],
      userToken: ''
    }
  },
  methods: {
    checkQueries () {
      console.log(this.$apollo.queries)
    },
    uploadProfileImage () {
      uploadProfileImage(this.$store.state.currentUser.id).then(result => console.log(result)).catch(error => console.error(error))
    }/*,
    async createFeed () {
      await needle('post', 'http://localhost:3000/getUserToken', {'username': 'jack'}).then(response => {
        this.userToken = response.body
      }).catch(err => console.log(err))
      const jack = client.feed('timeline', 'jack', this.userToken)
      await jack.get({ limit: 6 }).then(data => { this.updates = data.results }).catch(err => console.log(err))
      await jack.subscribe(data => {
        data.new.forEach(update => {
          this.updates.unshift(update)
        })
      }).then(() => console.log('listening!')).catch(err => console.log(err))
    } */
  }
}
</script>
